Bug 173051 - expired download links creating new pxt sessions
expired download links creating new pxt sessions
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Maintenance (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2005-11-12 23:26 EST by Matthew Galgoci
Modified: 2008-10-15 11:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-15 11:50:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Galgoci 2005-11-12 23:26:23 EST
Description of problem:

Expired download links which are returned to robot downloaders are creating a
new pxt session for each url request. This is problematic, especially
concidering we've seen individial robot downloader clients make in excess of 60
thousand requests over the course of a few hours, far exceeding the threshold
that causes the download link to expire.

Please do not create a new pxt session for download urls that are expired.

We also probably should increase the number of download attempts a particular
download link can have before the link becomes expired. The current number of
attempts is set to 4. Yes, that's right. 4.

We probably need to find the average chunk size that robo downloaders request,
divide the average iso image size by this chunk size, and divide the result by
0.8. The expiration threshhold should then be set to the result. This will allow
robo downloaders to actually complete downloading an iso.
Comment 1 Mike McCune 2006-03-09 10:53:03 EST
will fix this when we re-write the page in java in 420.  Don't want to have to
go through the effort of fixing this twice.
Comment 2 Robin Norwood 2006-10-17 12:36:38 EDT
mass reassign to mmccune
Comment 3 Amanda Carter 2008-10-15 11:50:05 EDT
This bug has been closed due to inactivity.  Please open a new bug with specific details if this problem is still occurring or if an enhancement is needed.

Note You need to log in before you can comment on or make changes to this bug.